Bug 845371 - Adding members to a repo group needs a success message
Adding members to a repo group needs a success message
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 16:14 EDT by Jay Dobies
Modified: 2013-09-09 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:04:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-08-02 16:14:28 EDT
╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤ pulp-admin repo group members add --group-id comics --in "id=avengers,jla"
╭─[jdob]─[hinterlands]─[~]─[]─●
╰─➤   

There's no output indicating if it was successful or failed. There's a call in the prompt called render_success_message() that should be used to indicate the call was successful if it was.
Comment 1 Jay Dobies 2012-08-22 16:49:29 EDT
I'm refactoring these to the client package itself and will fix as part of that.
Comment 2 Jay Dobies 2012-08-23 13:15:28 EDT
commit 907a8065fd62bd9ac08330cdf8f559d2ef240a05
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Thu Aug 23 13:13:49 2012 -0400

    - Refactored repo and repo group commands to the client package

builtins/extensions/admin/pulp_repo/pulp_cli.py
builtins/test/unit/test_pulp_repo_extension.py
builtins/test/unit/test_repo_group_member_section.py
builtins/test/unit/test_repo_group_section.py
platform/src/pulp/client/commands/criteria.py
platform/src/pulp/client/commands/options.py
platform/src/pulp/client/commands/repo/cudl.py
platform/src/pulp/client/commands/repo/group.py
platform/src/pulp/client/extensions/core.py
platform/src/pulp/client/extensions/extensions.py
platform/test/unit/test_commands_repo_cudl.py
platform/test/unit/test_commands_repo_group.py
platform/test/unit/test_search_command.py
Comment 3 Jeff Ortel 2012-09-11 09:31:23 EDT
build: 0.327
Comment 4 Preethi Thomas 2012-09-27 11:33:58 EDT
verified

[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch

[root@pulp-master ~]# pulp-admin repo group members add --group-id pulp --in "id=pulp,pulp-clone1"
Successfully added members to repository group [pulp]

[root@pulp-master ~]# pulp-admin repo group list
+----------------------------------------------------------------------+
                           Repository Groups
+----------------------------------------------------------------------+

Id:           pulp
Display Name: None
Description:  None
Repo Ids:     pulp, pulp-clone
Comment 5 Preethi Thomas 2013-01-09 12:04:01 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.